##### 7.5.5.0. isFsat

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  isFsat(I, F); I an ideal, F a poly

Return:
  int, 1 if I is F-saturated and 0 otherwise

Purpose:
  checks whether the ideal I is F-saturated

Note:
  We check indeed that Ker(D--> F--> D/I) is 0, where D is the basering.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y),dp;
    poly G = x*(x-y)*y;
    def A = annfs(G);
    setring A;
    poly F = x3-y2;
    isFsat(LD,F);
    ==> 1
    ideal J = LD*F;
    isFsat(J,F);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.